package com.telpo.dipperposition.mapper;

import com.telpo.dipperposition.annotation.MongoSwitch;
import com.telpo.dipperposition.entity.mongo.IpProvinceEntity;
import com.telpo.dipperposition.entity.mongo.ProvinceInfoEntity;
import db.BaseMongoDbDao;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @program: ProvinceInfoMapper
 * @description: 省份位置记录mapper
 * @author: linwl
 * @create: 2020-07-20 11:12
 */
@Repository
public class ProvinceInfoMapper extends BaseMongoDbDao<ProvinceInfoEntity> {


  @Override
  protected Class<ProvinceInfoEntity> getEntityClass() {

    return ProvinceInfoEntity.class;
  }

  @MongoSwitch("common")
  public void saveIp(ProvinceInfoEntity entity) {
    this.save(entity);
  }

  @MongoSwitch("common")
  public void saveIp(ProvinceInfoEntity entity, String collectionName) {

    this.save(entity, collectionName);
  }

  @MongoSwitch("common")
  public void updateIpFirst(ProvinceInfoEntity srcObj, ProvinceInfoEntity targetObj) {
    this.updateFirst(srcObj, targetObj);
  }

  @Override
  public List<ProvinceInfoEntity> getPage(ProvinceInfoEntity object, int start, int size) {
    return super.getPage(object, start, size);
  }

  @MongoSwitch("common")
  public List<ProvinceInfoEntity> queryIpList(ProvinceInfoEntity object) {

    return this.queryList(object);
  }

  @MongoSwitch("common")
  public List<ProvinceInfoEntity> queryIpList(ProvinceInfoEntity object, String collectionName) {
    return this.queryList(object, collectionName);
  }

  @MongoSwitch("common")
  public void deleteIpById(String id) {
    this.deleteById(id);
  }
}
